<div class="row bg-img">
    <div class="col-md-4 offset-md-4 mt-8">

            <div class="card">
                <div class="card-header heading">
                    <div class="row">
                        <div class="col-md-8 offset-md-2">
                                <img src="../../../assets/images/logo.png" style="height:50px;display:block;margin:auto">
                        </div>
                    </div>
                    
                </div>
                <form action="" (ngSubmit)="login()" #loginForm="ngForm">
                        
                <div class="card-body ">
                    <div class="row">
                        <div class="col-md-12">
                            <span style="color: red;">{{ errorMsg }}</span>
                        </div>
                        <div class="col-md-12">
                            <div class="example-container">
                                <mat-form-field>
                                <input matInput placeholder="Username" [(ngModel)]="username" name="username" required>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="example-container">
                                    <mat-form-field>
                                        <input matInput placeholder="Password" name="password" [(ngModel)]="password" [type]="hide ? 'password' : 'text'" required>
                                        <button class="btn-eye" mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                                        <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                                        </button>
                                    </mat-form-field>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="text-right fs-13"> <a routerLink="/forget-pwd">Forget Password?? </a></div>
                        </div>

                    </div>
                    
                    <div class="row mt-15">
                        <div class="col-md-12">
                            <button mat-raised-button color="primary"  [disabled]="loginForm.form.invalid" class="btn-primary">LOGIN</button>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="mt-15 text-center fs-13"><a routerLink="/register"> Don't have an account? Click Here</a></div>
                    </div>
                   
                </div>
        </form>
        
            </div>
        
           
    </div>
</div>